Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.xni.psvi
Interface ElementPSVI

All Superinterfaces:
  ItemPSVI

All Known Implementing Classes:
  ElementPSVImpl, PSVIElementNSImpl

Deprecated. please use JDK supplied XML parsers and transformers

public interface ElementPSVI
extends ItemPSVI

Represent a PSVI item for one element information item.

Field Summary

Fields inherited from interface weblogic.apache.xerces.xni.psvi.ItemPSVI
`VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_UNKNOWN, VALIDITY_VALID`

Method Summary
`weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration` | `getElementDeclaration()` Deprecated. An item isomorphic to the element declaration used to validate this element.
`weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration` | `getNotation()` Deprecated. [notation]
`weblogic.apache.xerces.impl.xs.psvi.XSModel` | `getSchemaInformation()` Deprecated. [schema information]

Methods inherited from interface weblogic.apache.xerces.xni.psvi.ItemPSVI
`getActualValue, getErrorCodes, getIsSchemaSpecified, getMemberTypeDefinition, getMemberTypes, getSchemaDefault, getSchemaNormalizedValue, getTypeDefinition, getValidationAttempted, getValidationContext, getValidity`

Method Detail

### getElementDeclaration

    public weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration getElementDeclaration()

  Deprecated.
  An item isomorphic to the element declaration used to validate this element.

  Returns:
    an element declaration

### getNotation

    public weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration getNotation()

  Deprecated.
  [notation]

  Returns:
    The notation declaration.
  See Also:
    XML Schema Part 1: Structures [notation]

### getSchemaInformation

    public weblogic.apache.xerces.impl.xs.psvi.XSModel getSchemaInformation()

  Deprecated.
  [schema information]

  Returns:
    The schema information property if it's the validation root, null otherwise.
  See Also:
    XML Schema Part 1: Structures [schema information]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD